Skip to main content
GET
Get eval runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eval_id
string
required

The ID of the evaluation to retrieve runs for.

Query Parameters

after
string

Identifier for the last run from the previous pagination request.

limit
integer
default:20

Number of runs to retrieve.

order
enum<string>
default:asc

Sort order for runs by timestamp. Use asc for ascending order or desc for descending order. Defaults to asc.

Available options:
asc,
desc
status
enum<string>

Filter runs by status. Use "queued" | "in_progress" | "failed" | "completed" | "canceled".

Available options:
queued,
in_progress,
completed,
canceled,
failed

Response

200 - application/json

A list of runs for the evaluation

An object representing a list of runs for an evaluation.

object
enum<string>
default:list
required

The type of this object. It is always set to "list".

Available options:
list
data
EvalRun · object[]
required

An array of eval run objects.

first_id
string
required

The identifier of the first eval run in the data array.

last_id
string
required

The identifier of the last eval run in the data array.

has_more
boolean
required

Indicates whether there are more evals available.